require "tempfile"
require "fileutils"
require "delegate"

module SocialAvatarProxy
  class AvatarFile < SimpleDelegator
    attr_reader :file

    def initialize(path, options = {})
      if File.exist?(path)
        @file = File.new(path)
        mtime(file.mtime)
      else
        @file = Tempfile.new(path.gsub("/", "-"), options)
      end
      super(file)
    end

    def mtime(value = nil)
      value ? @mtime = value.to_i : Time.at(@mtime)
    end

    def content_type(value = nil)
      value ? @content_type = value : @content_type
    end
  end
end