module SocialAvatarProxy
  module PathHelpers
    def avatar_base_path
      @avatar_base_path ||= ""
    end
    
    def avatar_base_path=(path)
      # strip leading / trailing slashes
      path = path.gsub(/^\/|\/$/, "")
      if path.empty?
        # reset to an empty string
        @avatar_base_path = ""
      else
        # set with prepended slash
        @avatar_base_path = "/#{path}"
      end
    end
    
    def twitter_avatar_path(identifier)
      File.join(avatar_base_path, "twitter", identifier.to_s)
    end
    
    def facebook_avatar_path(identifier)
      File.join(avatar_base_path, "facebook", identifier.to_s)
    end
  end
end